Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision 4a611e3670a1f64878803f279635ff022e7471c1)
+++ src/Actions/Makefile.am	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -126,5 +126,6 @@
   WorldAction/ScaleBoxAction.cpp \
   WorldAction/SetDefaultNameAction.cpp \
-  WorldAction/SetGaussianBasisAction.cpp               
+  WorldAction/SetGaussianBasisAction.cpp \               
+  WorldAction/SetOutputFormatsAction.cpp
 WORLDACTIONHEADER = \
   WorldAction/AddEmptyBoundaryAction.hpp \
@@ -139,4 +140,5 @@
   WorldAction/ScaleBoxAction.hpp \
   WorldAction/SetDefaultNameAction.hpp \
-  WorldAction/SetGaussianBasisAction.hpp
+  WorldAction/SetGaussianBasisAction.hpp \
+  WorldAction/SetOutputFormatsAction.hpp               
 
Index: src/Actions/MapOfActions.cpp
===================================================================
--- src/Actions/MapOfActions.cpp	(revision 4a611e3670a1f64878803f279635ff022e7471c1)
+++ src/Actions/MapOfActions.cpp	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -65,4 +65,5 @@
 #include "Actions/WorldAction/SetDefaultNameAction.hpp"
 #include "Actions/WorldAction/SetGaussianBasisAction.hpp"
+#include "Actions/WorldAction/SetOutputFormatsAction.hpp"
 #include "Actions/Values.hpp"
 
@@ -128,7 +129,8 @@
   DescriptionMap["input"] = "specify input files";
   DescriptionMap["linear-interpolate"] = "linear interpolation in discrete steps between start and end position of a molecule";
+  DescriptionMap["molecular-volume"] = "calculate the volume of a given molecule";
   DescriptionMap["nonconvex-envelope"] = "create the non-convex envelope for a molecule";
-  DescriptionMap["molecular-volume"] = "calculate the volume of a given molecule";
-  DescriptionMap["output"] = "specify output formats";
+  DescriptionMap["output"] = "write output files";
+  DescriptionMap["set-output"] = "specify output formats";
   DescriptionMap["pair-correlation"] = "pair correlation analysis between two elements, element and point or element and surface";
   DescriptionMap["parse-xyz"] = "parse xyz file into World";
@@ -138,5 +140,4 @@
   DescriptionMap["repeat-box"] = "create periodic copies of the simulation box per axis";
   DescriptionMap["rotate-to-pas"] = "calculate the principal axis system of the specified molecule and rotate specified axis to align with main axis";
-  DescriptionMap["set-basis"] = "set the name of the gaussian basis set for MPQC";
   DescriptionMap["save-adjacency"] = "name of the adjacency file to write to";
   DescriptionMap["save-bonds"] = "name of the bonds file to write to";
@@ -144,4 +145,6 @@
   DescriptionMap["SaveXyz"] = "save world as xyz file";
   DescriptionMap["scale-box"] = "scale box and atomic positions inside";
+  DescriptionMap["set-basis"] = "set the name of the gaussian basis set for MPQC";
+  DescriptionMap["set-output"] = "specify output formats";
   DescriptionMap["subgraph-dissect"] = "dissect the molecular system into molecules representing disconnected subgraphs";
   DescriptionMap["suspend-in-water"] = "suspend the given molecule in water such that in the domain the mean density is as specified";
@@ -187,5 +190,5 @@
   ShortFormMap["center-in-box"] = "b";
   ShortFormMap["change-element"] = "E";
-  ShortFormMap["convex-envelope"] = "o";
+//  ShortFormMap["convex-envelope"] = "x";
   ShortFormMap["default-molname"] = "X";
   ShortFormMap["depth-first-search"] = "D";
@@ -210,4 +213,5 @@
   ShortFormMap["scale-box"] = "s";
   ShortFormMap["set-basis"] = "M";
+  ShortFormMap["set-output"] = "o";
   ShortFormMap["subgraph-dissect"] = "I";
   ShortFormMap["suspend-in-water"] = "u";
@@ -237,5 +241,5 @@
   TypeMap["molecular-volume"] = Molecule;
   TypeMap["nonconvex-envelope"] = Molecule;
-  TypeMap["output"] = ListOfString;
+  TypeMap["output"] = None;
   TypeMap["parse-xyz"] = String;
   TypeMap["pair-correlation"] = String;
@@ -250,4 +254,5 @@
   TypeMap["scale-box"] = Vector;
   TypeMap["set-basis"] = String;
+  TypeMap["set-output"] = ListOfString;
   TypeMap["subgraph-dissect"] = None;
   TypeMap["suspend-in-water"] = Double;
@@ -348,4 +353,5 @@
   MenuContainsActionMap.insert( pair<std::string, std::string> ("world", "default-molname") );
   MenuContainsActionMap.insert( pair<std::string, std::string> ("world", "set-basis") );
+  MenuContainsActionMap.insert( pair<std::string, std::string> ("world", "set-output") );
 
   // put actions into command line category
@@ -385,4 +391,5 @@
   generic.insert("scale-box");
   generic.insert("set-basis");
+  generic.insert("set-output");
 	generic.insert("subgraph-dissect");
   generic.insert("suspend-in-water");
@@ -483,4 +490,5 @@
   new WorldSetDefaultNameAction();
   new WorldSetGaussianBasisAction();
+  new WorldSetOutputFormatsAction();
 }
 
Index: src/Actions/WorldAction/CenterInBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/CenterInBoxAction.cpp	(revision 4a611e3670a1f64878803f279635ff022e7471c1)
+++ src/Actions/WorldAction/CenterInBoxAction.cpp	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -38,4 +38,5 @@
 
   if(dialog->display()) {
+    World::getInstance().setDomain(cell_size);
     // center
     vector<molecule *> AllMolecules = World::getInstance().getAllMolecules();
Index: src/Actions/WorldAction/CenterOnEdgeAction.cpp
===================================================================
--- src/Actions/WorldAction/CenterOnEdgeAction.cpp	(revision 4a611e3670a1f64878803f279635ff022e7471c1)
+++ src/Actions/WorldAction/CenterOnEdgeAction.cpp	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -65,4 +65,5 @@
       cell_size[j] = (Max[i]-Min[i]);
     }
+    World::getInstance().setDomain(cell_size);
     // translate all atoms, such that Min is aty (0,0,0)
     for (vector<atom*>::iterator AtomRunner = AllAtoms.begin(); AtomRunner != AllAtoms.end(); ++AtomRunner)
Index: src/Actions/WorldAction/ChangeBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/ChangeBoxAction.cpp	(revision 4a611e3670a1f64878803f279635ff022e7471c1)
+++ src/Actions/WorldAction/ChangeBoxAction.cpp	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -39,4 +39,5 @@
   if(dialog->display()) {
     DoLog(0) && (Log() << Verbose(0) << "Setting box domain to " << cell_size[0] << "," << cell_size[1] << "," << cell_size[2] << "," << cell_size[3] << "," << cell_size[4] << "," << cell_size[5] << "," << endl);
+    World::getInstance().setDomain(cell_size);
     delete dialog;
     return Action::success;
Index: src/Actions/WorldAction/RepeatBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/RepeatBoxAction.cpp	(revision 4a611e3670a1f64878803f279635ff022e7471c1)
+++ src/Actions/WorldAction/RepeatBoxAction.cpp	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -72,4 +72,5 @@
     }
 
+    World::getInstance().setDomain(cell_size);
     molecule *newmol = NULL;
     Vector ** vectors = NULL;
Index: src/Actions/WorldAction/ScaleBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/ScaleBoxAction.cpp	(revision 4a611e3670a1f64878803f279635ff022e7471c1)
+++ src/Actions/WorldAction/ScaleBoxAction.cpp	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -55,4 +55,5 @@
       cell_size[j]*=x[i];
     }
+    World::getInstance().setDomain(cell_size);
 
     delete dialog;
Index: src/Actions/WorldAction/SetOutputFormatsAction.cpp
===================================================================
--- src/Actions/WorldAction/SetOutputFormatsAction.cpp	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
+++ src/Actions/WorldAction/SetOutputFormatsAction.cpp	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -0,0 +1,92 @@
+/*
+ * SetOutputFormatsAction.cpp
+ *
+ *  Created on: May 8, 2010
+ *      Author: heber
+ */
+
+#include "Helpers/MemDebug.hpp"
+
+#include "Actions/WorldAction/SetOutputFormatsAction.hpp"
+#include "Parser/ChangeTracker.hpp"
+#include "Parser/FormatParserStorage.hpp"
+#include "log.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
+
+#include <iostream>
+#include <string>
+
+using namespace std;
+
+#include "UIElements/UIFactory.hpp"
+#include "UIElements/Dialog.hpp"
+#include "Actions/MapOfActions.hpp"
+
+const char WorldSetOutputFormatsAction::NAME[] = "set-output";
+
+WorldSetOutputFormatsAction::WorldSetOutputFormatsAction() :
+  Action(NAME)
+{}
+
+WorldSetOutputFormatsAction::~WorldSetOutputFormatsAction()
+{}
+
+Action::state_ptr WorldSetOutputFormatsAction::performCall() {
+  Dialog *dialog = UIFactory::getInstance().makeDialog();
+  vector<std::string> FormatList;
+
+  dialog->queryStrings(NAME, &FormatList, MapOfActions::getInstance().getDescription(NAME));
+
+  if(dialog->display()) {
+    for (vector<std::string>::iterator iter = FormatList.begin(); iter != FormatList.end(); ++iter) {
+      if (*iter == "mpqc") {
+        FormatParserStorage::getInstance().addMpqc();
+        DoLog(0) && (Log() << Verbose(0) << "Adding mpqc type to output." << endl);
+      } else if (*iter == "pcp") {
+        FormatParserStorage::getInstance().addPcp();
+        DoLog(0) && (Log() << Verbose(0) << "Adding pcp type to output." << endl);
+      } else if (*iter == "tremolo") {
+        FormatParserStorage::getInstance().addTremolo();
+        DoLog(0) && (Log() << Verbose(0) << "Adding tremolo type to output." << endl);
+      } else if (*iter == "xyz") {
+        FormatParserStorage::getInstance().addXyz();
+        DoLog(0) && (Log() << Verbose(0) << "Adding xyz type to output." << endl);
+      } else {
+        DoeLog(1) && (eLog() << Verbose(1) << "Unknown format." << endl);
+      }
+    }
+    ChangeTracker::getInstance().saveStatus();
+    delete dialog;
+    return Action::success;
+  } else {
+    delete dialog;
+    return Action::failure;
+  }
+}
+
+Action::state_ptr WorldSetOutputFormatsAction::performUndo(Action::state_ptr _state) {
+//  ParserLoadXyzState *state = assert_cast<ParserLoadXyzState*>(_state.get());
+
+  return Action::failure;
+//  string newName = state->mol->getName();
+//  state->mol->setName(state->lastName);
+//
+//  return Action::state_ptr(new ParserLoadXyzState(state->mol,newName));
+}
+
+Action::state_ptr WorldSetOutputFormatsAction::performRedo(Action::state_ptr _state){
+  return Action::failure;
+}
+
+bool WorldSetOutputFormatsAction::canUndo() {
+  return false;
+}
+
+bool WorldSetOutputFormatsAction::shouldUndo() {
+  return false;
+}
+
+const string WorldSetOutputFormatsAction::getName() {
+  return NAME;
+}
Index: src/Actions/WorldAction/SetOutputFormatsAction.hpp
===================================================================
--- src/Actions/WorldAction/SetOutputFormatsAction.hpp	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
+++ src/Actions/WorldAction/SetOutputFormatsAction.hpp	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -0,0 +1,30 @@
+/*
+ * SetOutputFormatsAction.hpp
+ *
+ *  Created on: May 8, 2010
+ *      Author: heber
+ */
+
+#ifndef SETOUTPUTFORMATSACTION_HPP_
+#define SETOUTPUTFORMATSACTION_HPP_
+
+#include "Actions/Action.hpp"
+
+class WorldSetOutputFormatsAction : public Action {
+public:
+  WorldSetOutputFormatsAction();
+  virtual ~WorldSetOutputFormatsAction();
+
+  bool canUndo();
+  bool shouldUndo();
+
+  virtual const std::string getName();
+private:
+  virtual Action::state_ptr performCall();
+  virtual Action::state_ptr performUndo(Action::state_ptr);
+  virtual Action::state_ptr performRedo(Action::state_ptr);
+
+  static const char NAME[];
+};
+
+#endif /* SETOUTPUTFORMATSACTION_HPP_ */
Index: src/UIElements/CommandLineUI/CommandLineDialog.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineDialog.cpp	(revision 4a611e3670a1f64878803f279635ff022e7471c1)
+++ src/UIElements/CommandLineUI/CommandLineDialog.cpp	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -158,15 +158,5 @@
 bool CommandLineDialog::StringsCommandLineQuery::handle() {
   if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temp = CommandLineParser::getInstance().vm[getTitle()].as<string>();
-    // dissect by ","
-    string::iterator olditer = temp.begin();
-    for(string::iterator iter = temp.begin(); iter != temp.end(); ++iter) {
-      if (*iter == ' ') {
-        tmp.push_back(string(iter, olditer));
-        olditer = iter;
-      }
-    }
-    if (olditer != temp.begin())  // insert last part also
-      tmp.push_back(string(olditer, temp.end()));
+    tmp = CommandLineParser::getInstance().vm[getTitle()].as< vector<string> >();
     return true;
   } else {
Index: src/World.cpp
===================================================================
--- src/World.cpp	(revision 4a611e3670a1f64878803f279635ff022e7471c1)
+++ src/World.cpp	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -80,5 +80,11 @@
 void World::setDomain(double * matrix)
 {
-
+  OBSERVE;
+  cell_size[0] = matrix[0];
+  cell_size[1] = matrix[1];
+  cell_size[2] = matrix[2];
+  cell_size[3] = matrix[3];
+  cell_size[4] = matrix[4];
+  cell_size[5] = matrix[5];
 }
 
Index: src/builder.cpp
===================================================================
--- src/builder.cpp	(revision 4a611e3670a1f64878803f279635ff022e7471c1)
+++ src/builder.cpp	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -121,7 +121,4 @@
   bool ArgumentsCopied = false;
   std::string BondGraphFileName("\n");
-  FormatParserStorage::getInstance().addMpqc();
-  FormatParserStorage::getInstance().addPcp();
-  FormatParserStorage::getInstance().addXyz();
 
   // print version check whether arguments are present at all
Index: tests/regression/testsuite-domain.at
===================================================================
--- tests/regression/testsuite-domain.at	(revision 4a611e3670a1f64878803f279635ff022e7471c1)
+++ tests/regression/testsuite-domain.at	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -3,5 +3,5 @@
 AT_SETUP([Domain - defining simulation domain])
 AT_KEYWORDS([domain])
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -B 10 0 10 0 0 10], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -o pcp -B 10 0 10 0 0 10], 0, [stdout], [stderr])
 AT_CHECK([fgrep "BoxLength" test.conf], 0, [stdout], [stderr])
 AT_CHECK([diff test.conf ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/1/post/test.conf], 0, [stdout], [stderr])
@@ -44,20 +44,20 @@
 AT_KEYWORDS([domain])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -d 1 1 1], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -o xyz -d 1 1 1], 0, [stdout], [stderr])
 AT_CHECK([file=test.conf.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
 AT_CHECK([file=test.conf.xyz;sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/post/$file  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
 AT_CHECK([file=test.conf.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/pre/test.conf test-x.conf], 0)
-AT_CHECK([../../molecuilder test-x.conf -e ${abs_top_srcdir}/src/ -d 2 1 1], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder test-x.conf -e ${abs_top_srcdir}/src/ -o xyz -d 2 1 1], 0, [stdout], [stderr])
 AT_CHECK([file=test-x.conf.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
 AT_CHECK([file=test-x.conf.xyz;sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/post/$file  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
 AT_CHECK([file=test-x.conf.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/pre/test.conf test-y.conf], 0)
-AT_CHECK([../../molecuilder test-y.conf -e ${abs_top_srcdir}/src/ -d 1 2 1], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder test-y.conf -e ${abs_top_srcdir}/src/ -o xyz -d 1 2 1], 0, [stdout], [stderr])
 AT_CHECK([file=test-y.conf.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
 AT_CHECK([file=test-y.conf.xyz;sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/post/$file  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
 AT_CHECK([file=test-y.conf.xyz; diff $file-sorted $file-sorted2], 0, [ignore], [ignore])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/pre/test.conf test-z.conf], 0)
-AT_CHECK([../../molecuilder test-z.conf -e ${abs_top_srcdir}/src/ -d 1 1 2], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder test-z.conf -e ${abs_top_srcdir}/src/ -o xyz -d 1 1 2], 0, [stdout], [stderr])
 AT_CHECK([file=test-z.conf.xyz;sort -n $file | grep -v "Created by" >$file-sorted], 0, [ignore], [ignore])
 AT_CHECK([file=test-z.conf.xyz;sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Domain/6/post/$file  | grep -v "Created by" >$file-sorted2], 0, [ignore], [ignore])
Index: tests/regression/testsuite-simple_configuration.at
===================================================================
--- tests/regression/testsuite-simple_configuration.at	(revision 4a611e3670a1f64878803f279635ff022e7471c1)
+++ tests/regression/testsuite-simple_configuration.at	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -14,5 +14,5 @@
 AT_KEYWORDS([configuration])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/2/pre/test.xyz .], 0)
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -p test.xyz], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -o mpqc pcp xyz -p test.xyz], 0, [ignore], [ignore])
 AT_CHECK([fgrep "Ion_Type1_1" test.conf], 0, [Ion_Type1_1	10.000000000	10.000000000	10.000000000	0 # molecule nr 0
 ], [ignore])
@@ -25,5 +25,5 @@
 AT_SETUP([Simple configuration - adding atom])
 AT_KEYWORDS([configuration])
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -a 1 --position 10. 10. 10.], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -o mpqc pcp xyz -a 1 --position 10. 10. 10.], 0, [ignore], [ignore])
 AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/3/post/$file], 0, [ignore], [ignore])
 AT_CHECK([file=test.conf.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/3/post/$file], 0, [ignore], [ignore])
@@ -43,5 +43,5 @@
 AT_KEYWORDS([configuration])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/5/pre/test.conf .], 0)
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -r 0], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -o mpqc pcp xyz -r 0], 0, [ignore], [ignore])
 AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/5/post/$file], 0, [ignore], [ignore])
 AT_CHECK([file=test.conf.in; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/5/post/$file], 0, [ignore], [ignore])
@@ -75,5 +75,5 @@
 AT_KEYWORDS([configuration])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/8/pre/test.* .], 0)
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -R 7. --position 7.283585982 3.275186040 3.535886037], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -o xyz -R 7. --position 7.283585982 3.275186040 3.535886037], 0, [stdout], [stderr])
 AT_CHECK([sort -n test.conf.xyz | grep -v "Created by" >test.conf.xyz-sorted], 0, [ignore], [ignore])
 AT_CHECK([sort -n ${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/8/post/test.conf.xyz  | grep -v "Created by" >${abs_top_srcdir}/${AUTOTEST_PATH}/Simple_configuration/8/post/test.conf.xyz-sorted], 0, [ignore], [ignore])
Index: tests/regression/testsuite-tesselation.at
===================================================================
--- tests/regression/testsuite-tesselation.at	(revision 4a611e3670a1f64878803f279635ff022e7471c1)
+++ tests/regression/testsuite-tesselation.at	(revision b9c8477258cb157c5302eaf6c3b8c3a846877820)
@@ -12,5 +12,5 @@
 AT_SETUP([Tesselation - Convex Envelope])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Tesselation/2/pre/* .], 0)
-AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -o 0 --convex-file ConvexEnvelope --nonconvex-file NonConvexEnvelope], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ --convex-envelope 0 --convex-file ConvexEnvelope --nonconvex-file NonConvexEnvelope], 0, [stdout], [stderr])
 AT_CHECK([file=ConvexEnvelope.dat; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Tesselation/2/post/$file], 0, [ignore], [ignore])
 #AT_CHECK([file=ConvexEnvelope.r3d; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Tesselation/2/post/$file], 0, [ignore], [ignore])
@@ -30,5 +30,5 @@
 #AT_SETUP([Tesselation - big convex Envelope])
 #AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/Tesselation/4/pre/* .], 0)
-#AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ -o ConvexEnvelope NonConvexEnvelope], 0, [stdout], [stderr])
+#AT_CHECK([../../molecuilder test.conf -e ${abs_top_srcdir}/src/ --convex-envelope ConvexEnvelope NonConvexEnvelope], 0, [stdout], [stderr])
 #AT_CHECK([file=ConvexEnvelope.dat; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Tesselation/4/post/$file], 0, [ignore], [ignore])
 #AT_CHECK([file=ConvexEnvelope.r3d; diff $file ${abs_top_srcdir}/${AUTOTEST_PATH}/Tesselation/4/post/$file], 0, [ignore], [ignore])
